Create Cart Redirect URL
Creates a **Cart** redirect URL for redirecting a shopper to an already created cart using the `cartId`.
**Usage Notes**
* To use redirect URLs, first create the cart using the REST Management API or GraphQL Storefront API.
* Redirect URLs can also be created with **Create a Cart** requests by appending `include=redirect_urls`.
* A **Carts** redirect URL is valid for 30 days and may only be used once.
* Redirect URLs point to either a shared checkout domain or a channel-specific domain, depending on the storefront configuration.
* Once a redirect URL has been visited, it will be invalidated and cannot be used again.
* If your application requires URLs to be visited more than once, consider generating a fresh one each time you need to restore a cart, and redirecting to the URL from your own application.
* To restore a cart that was created on the storefront, either by a shopper or a Storefront API, first recreate the cart using the **REST Management API**.
* When redirecting the shopper, you can add a set of `query_params` to the URL. The `query_params` feature allows passing additional information to the redirect URL.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
|Carts|modify|`store_cart`|
|Carts |read-only|`store_cart_read_only`|
|Information & Settings | modify | `store_v2_information`|
|Information & Settings | read-only| `store_v2_information`|
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
cartId
Request
This endpoint expects an object.
query_params
Response
data
meta
Response metadata.